import Foundation

final class PageSettings: ObservableObject {

    /// The prefix of the urls for all pages
    /// The full path will be `<pagePrefix>/<page-url-component>`
    @Published
    var pageUrlPrefix: String

    @Published
    var contentWidth: Int

    @Published
    var largeImageWidth: Int

    @Published
    var pageLinkImageSize: Int

    @Published
    var javascriptFilesPath: String

    init(file: PageSettingsFile) {
        self.pageUrlPrefix = file.pageUrlPrefix
        self.contentWidth = file.contentWidth
        self.largeImageWidth = file.largeImageWidth
        self.pageLinkImageSize = file.pageLinkImageSize
        self.javascriptFilesPath = file.javascriptFilesPath
    }
}
