import Foundation

final class PathSettings: ObservableObject {

    @Published
    var outputDirectoryPath: String

    @Published
    var pagesOutputFolderPath: String

    @Published
    var imagesOutputFolderPath: String

    @Published
    var filesOutputFolderPath: String

    @Published
    var videosOutputFolderPath: String

    @Published
    var tagsOutputFolderPath: String

    init(file: PathSettingsFile) {
        self.outputDirectoryPath = file.outputDirectoryPath
        self.pagesOutputFolderPath = file.pagesOutputFolderPath
        self.imagesOutputFolderPath = file.imagesOutputFolderPath
        self.filesOutputFolderPath = file.filesOutputFolderPath
        self.videosOutputFolderPath = file.videosOutputFolderPath
        self.tagsOutputFolderPath = file.tagsOutputFolderPath
    }
}
