
struct AdditionalPageHeaders {

    let headers: RequiredHeaders

    let assetPath: String

    #warning("Provide paths in settings, import files")
    var content: String {
        headers.map(header).sorted().joined()
    }

    private func header(for asset: HeaderFile) -> String {
        let file = asset.rawValue
        guard file.hasSuffix(".js") else {
            return "<link rel='stylesheet' type='text/css' href='\(assetPath)/css/\(file)'>"
        }
        let module = asset.asModule ? " type='module'" : ""
        return "<script\(module) src='\(assetPath)/js/\(file)'></script>"
    }
}
